> ## Documentation Index
> Fetch the complete documentation index at: https://www.cometchat.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

> Update a channel.

# Update a channel



## OpenAPI

````yaml put /channels/{id}
openapi: 3.0.0
info:
  title: Campaigns Service API
  description: Campaigns Service REST API
  version: '1.0'
  contact: {}
servers:
  - url: https://{appId}.api-{region}.cometchat.io/v3/campaigns
    variables:
      appId:
        default: appId
        description: (Required) App ID
      region:
        enum:
          - us
          - eu
          - in
        default: us
        description: Select Region
security:
  - apikey: []
tags:
  - name: Notification Feed
    description: Operations on the per-user in-app notification feed.
  - name: Channels
    description: Manage channel instances and per-type availability.
  - name: Templates
    description: Manage templates and their versions.
  - name: Template Categories
    description: Manage template categories for feed filtering.
  - name: Campaigns
    description: Create, schedule, and manage notification campaigns.
  - name: Notifications
    description: Send notifications directly via API.
  - name: Push Notifications
    description: Manage push notification delivery and engagement.
  - name: Analytics
    description: Delivery and engagement analytics.
paths:
  /channels/{id}:
    put:
      tags:
        - Channels
      summary: Update a channel
      operationId: ChannelsController_update
      parameters:
        - name: appid
          in: header
          description: Tenant application ID
          required: true
          schema:
            type: string
        - name: id
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateChannelDto'
      responses:
        '200':
          description: Channel updated
        '400':
          description: Called with onbehalfof
        '404':
          description: Channel not found
components:
  schemas:
    UpdateChannelDto:
      type: object
      properties:
        name:
          type: string
          description: Channel display name
        enabled:
          type: boolean
          description: Whether the channel is enabled
        metadata:
          type: object
          description: Channel-specific metadata
          example:
            apiKey: xxx
            senderId: yyy
  securitySchemes:
    apikey:
      type: apiKey
      in: header
      name: apikey
      description: Your CometChat REST API Key.

````